Debian Bug report logs - #636351
ls: reading directory aptfs: Input/output error

version graph

Package: aptfs; Maintainer for aptfs is Chris Lamb <lamby@debian.org>; Source for aptfs is src:aptfs.

Reported by: Tim Retout <diocles@debian.org>

Date: Tue, 2 Aug 2011 14:45:01 UTC

Severity: grave

Found in version aptfs/0.7-2

Fixed in version aptfs/1:0+git201108031956-38fb8dc-1

Done: Chris Lamb <lamby@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, diocles@debian.org, Chris Lamb <lamby@debian.org>:
Bug#636351; Package aptfs. (Tue, 02 Aug 2011 14:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Retout <diocles@debian.org>:
New Bug report received and forwarded. Copy sent to diocles@debian.org, Chris Lamb <lamby@debian.org>. (Tue, 02 Aug 2011 14:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Retout <diocles@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ls: reading directory aptfs: Input/output error
Date: Tue, 02 Aug 2011 15:43:07 +0100
Package: aptfs
Version: 0.7-2
Severity: grave

I am having trouble getting aptfs to work.  Here is what I am trying:

timr@timr-office-desktop:~$ groups
timr sudo src fuse admin
timr@timr-office-desktop:~$ mkdir aptfs
timr@timr-office-desktop:~$ mount.aptfs aptfs
/usr/lib/pymodules/python2.6/AptFs/util.py:22: DeprecationWarning: The popen2 module is deprecated.  Use the subprocess module.
  import popen2
timr@timr-office-desktop:~$ ls aptfs
ls: reading directory aptfs: Input/output error
timr@timr-office-desktop:~$

With debugging (-d), the following is printed after 'ls' is run:

unique: 90, opcode: GETATTR (3), nodeid: 1, insize: 56
getattr /
   unique: 90, success, outsize: 120
unique: 91, opcode: OPENDIR (27), nodeid: 1, insize: 48
   unique: 91, success, outsize: 32
unique: 92, opcode: READDIR (28), nodeid: 1, insize: 80
readdir[0] from 0
   unique: 92, success, outsize: 4112
unique: 93, opcode: READDIR (28), nodeid: 1, insize: 80
   unique: 93, success, outsize: 4112
unique: 94, opcode: RELEASEDIR (29), nodeid: 1, insize: 64
   unique: 94, success, outsize: 16

Let me know if I can provide anything further.

-- System Information:
Debian Release: 6.0
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages aptfs depends on:
ii  dctrl-tools               2.14.5         Command-line tools to process Debi
ii  devscripts                2.10.69        scripts to make the life of a Debi
ii  gawk                      1:3.1.7.dfsg-5 GNU awk, a pattern scanning and pr
ii  python                    2.6.7-2        interactive high-level object-orie
ii  python-fuse               2:0.2.1-5+b1   Python bindings for FUSE (Filesyst
ii  python-support            1.0.14         automated rebuilding support for P

aptfs recommends no packages.

aptfs suggests no packages.

-- no debconf information




Reply sent to Chris Lamb <lamby@debian.org>:
You have taken responsibility. (Wed, 03 Aug 2011 19:21:08 GMT) Full text and rfc822 format available.

Notification sent to Tim Retout <diocles@debian.org>:
Bug acknowledged by developer. (Wed, 03 Aug 2011 19:21:08 GMT) Full text and rfc822 format available.

Message #10 received at 636351-close@bugs.debian.org (full text, mbox):

From: Chris Lamb <lamby@debian.org>
To: 636351-close@bugs.debian.org
Subject: Bug#636351: fixed in aptfs 1:0+git201108031956-38fb8dc-1
Date: Wed, 03 Aug 2011 19:17:09 +0000
Source: aptfs
Source-Version: 1:0+git201108031956-38fb8dc-1

We believe that the bug you reported is fixed in the latest version of
aptfs, which is due to be installed in the Debian FTP archive:

aptfs_0+git201108031956-38fb8dc-1.debian.tar.gz
  to main/a/aptfs/aptfs_0+git201108031956-38fb8dc-1.debian.tar.gz
aptfs_0+git201108031956-38fb8dc-1.dsc
  to main/a/aptfs/aptfs_0+git201108031956-38fb8dc-1.dsc
aptfs_0+git201108031956-38fb8dc-1_all.deb
  to main/a/aptfs/aptfs_0+git201108031956-38fb8dc-1_all.deb
aptfs_0+git201108031956-38fb8dc.orig.tar.bz2
  to main/a/aptfs/aptfs_0+git201108031956-38fb8dc.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636351@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Chris Lamb <lamby@debian.org> (supplier of updated aptfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Wed, 03 Aug 2011 20:09:11 +0100
Source: aptfs
Binary: aptfs
Architecture: source all
Version: 1:0+git201108031956-38fb8dc-1
Distribution: unstable
Urgency: low
Maintainer: Chris Lamb <lamby@debian.org>
Changed-By: Chris Lamb <lamby@debian.org>
Description: 
 aptfs      - FUSE filesystem for APT source repositories
Closes: 636351
Changes: 
 aptfs (1:0+git201108031956-38fb8dc-1) unstable; urgency=low
 .
   * New upstream snapshot (upstream no longer making numbered releases).
     - Update parser to match grep-dctrl output (Closes: #636351)
Checksums-Sha1: 
 8ae79bddd85996ce766fc23a200a7813a0139a20 1255 aptfs_0+git201108031956-38fb8dc-1.dsc
 b58b5311106c7d6b278ddce7e5072e2f21e560bd 15999 aptfs_0+git201108031956-38fb8dc.orig.tar.bz2
 56e6710fef0b11df1d8077df46c0c0b6f9e98342 2599 aptfs_0+git201108031956-38fb8dc-1.debian.tar.gz
 898614a4b8a024d6d0bcdadff56b7c0a2df51290 8672 aptfs_0+git201108031956-38fb8dc-1_all.deb
Checksums-Sha256: 
 f7c0b07f746bd4ed0a9b34d7f6ca53e05f90cea5e15bef37249efea594464242 1255 aptfs_0+git201108031956-38fb8dc-1.dsc
 3ace588e39eaf91c32c09ee4cc0a41b3ea8e34084417e85efcce4d464d72ffea 15999 aptfs_0+git201108031956-38fb8dc.orig.tar.bz2
 cb71667c1127b5f522fd32b3589a951a45fe278bee7147da35281e86c39ba3de 2599 aptfs_0+git201108031956-38fb8dc-1.debian.tar.gz
 9ff300e1f0c37b67d71dbfb9f7b023a4681e690ba3ecb4e08cd3be2cc6960964 8672 aptfs_0+git201108031956-38fb8dc-1_all.deb
Files: 
 8970df55f4671cf1b508af4d8f5b9653 1255 utils extra aptfs_0+git201108031956-38fb8dc-1.dsc
 1b490bda2581c14df409e461c4e3abc5 15999 utils extra aptfs_0+git201108031956-38fb8dc.orig.tar.bz2
 be712c133ba1552615ab8393dcd1f620 2599 utils extra aptfs_0+git201108031956-38fb8dc-1.debian.tar.gz
 f063b41f45abc2377131ac0bb6e4580a 8672 utils extra aptfs_0+git201108031956-38fb8dc-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk45nOwACgkQ5/8uW2NPmiC1kgCeLZpgMtmHq58DM34VHorHTTd7
xGMAnRbX100ot+iSj1dj8eBYI7FmcOVD
=ToY/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 01 Sep 2011 07:36:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:23:31 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.